public inbox for fstests@vger.kernel.org
 help / color / mirror / Atom feed
From: "Theodore Ts'o" <tytso@mit.edu>
To: fstests@vger.kernel.org
Cc: "Theodore Ts'o" <tytso@mit.edu>
Subject: [PATCH -v3 6/7] ext4/035: skip this test if the scratch device does not support 1k block sizes
Date: Wed, 29 Jun 2022 08:45:39 -0400	[thread overview]
Message-ID: <20220629124540.175775-7-tytso@mit.edu> (raw)
In-Reply-To: <20220629124540.175775-1-tytso@mit.edu>

Signed-off-by: Theodore Ts'o <tytso@mit.edu>
---
 tests/ext4/035 | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/tests/ext4/035 b/tests/ext4/035
index cad3595b..1f26e766 100755
--- a/tests/ext4/035
+++ b/tests/ext4/035
@@ -26,6 +26,9 @@ _exclude_scratch_mount_option dax
 _require_command "$RESIZE2FS_PROG" resize2fs
 
 $MKFS_EXT4_PROG -F -b 1024 -E "resize=262144" $SCRATCH_DEV 32768 >> $seqres.full 2>&1
+if [ $? -ne 0 ]; then
+    _notrun "Can't make file system with a block size of 1024"
+fi
 _scratch_mount
 
 echo "Resizing to 262145 blocks"
-- 
2.31.0


  parent reply	other threads:[~2022-06-29 12:45 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-06-29 12:45 [PATCH -v3 0/7] Miscellaneous ext4 test fix ups Theodore Ts'o
2022-06-29 12:45 ` [PATCH -v3 1/7] ext4/050: support indirect as well as extent mapped journals Theodore Ts'o
2022-06-29 12:45 ` [PATCH -v3 2/7] ext4/044: skip test if the file system does not have a journal Theodore Ts'o
2022-06-29 13:11   ` Zorro Lang
2022-06-29 12:45 ` [PATCH -v3 3/7] ext4/045: _require_dumpe2fs doesn't take any arguments so remove them Theodore Ts'o
2022-06-29 13:12   ` Zorro Lang
2022-06-29 12:45 ` [PATCH -v3 4/7] ext4/054: skip test if the dax mount option is enabled Theodore Ts'o
2022-06-29 12:45 ` [PATCH -v3 5/7] ext4/055: skip test if dax mount option is used Theodore Ts'o
2022-06-29 13:15   ` Zorro Lang
2022-06-29 12:45 ` Theodore Ts'o [this message]
2022-06-29 13:14   ` [PATCH -v3 6/7] ext4/035: skip this test if the scratch device does not support 1k block sizes Zorro Lang
2022-06-29 12:45 ` [PATCH -v3 7/7] ext4: create file systems with the encrypt feature as necessary Theodore Ts'o
2022-06-29 13:30   ` Zorro Lang
2022-06-29 19:30     ` Theodore Ts'o
2022-06-29 21:20       ` Eric Biggers
2022-06-30  1:39       ` Zorro Lang
2022-06-30 14:45         ` Theodore Ts'o

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20220629124540.175775-7-tytso@mit.edu \
    --to=tytso@mit.edu \
    --cc=fstests@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox